> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get roles on a matter

> Returns associated roles for a specified matter.



## OpenAPI

````yaml /openapi.json get /matters/{matterId}/roles
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /matters/{matterId}/roles:
    get:
      tags:
        - Roles
      summary: Get roles on a matter
      description: Returns associated roles for a specified matter.
      operationId: GetRolesOnMatter
      parameters:
        - name: matterId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: When request is successful. Returns a 'MatterRoles' object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MatterRoles'
        '404':
          description: When the specified matter does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    MatterRoles:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        versionId:
          type: string
          description: Version id of the record.
          nullable: true
          example: 832e778f-83df-454a-b344-768a862a7e67
        matterId:
          type: string
          description: Matter id.
          nullable: true
          example: b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2
        roles:
          type: array
          items:
            $ref: '#/components/schemas/Role'
          description: List of associated roles.
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    Role:
      type: object
      properties:
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        id:
          type: string
          description: Unique identifier of the role.
          nullable: true
          example: 009f778f-83df-454a-b344-768a862a7e55
        name:
          type: string
          description: Name of the role.
          nullable: true
          example: Client
        contact:
          allOf:
            - $ref: '#/components/schemas/Link'
          description: Hypermedia link of the associated contact.
          nullable: true
        roleDescription:
          type: string
          description: Name of the role (user editable).
          nullable: true
          example: Head Honcho
        description:
          type: string
          description: Description of the role.
          nullable: true
          example: The person for whom I am working
        representatives:
          type: array
          items:
            $ref: '#/components/schemas/Link'
          description: List of hypermedia links of the associated representatives.
          nullable: true
        relationships:
          type: array
          items:
            $ref: '#/components/schemas/Relationship'
          description: List of associated relationships.
          nullable: true
        isClient:
          type: boolean
          description: Boolean flag indicating if role belongs to a 'Client'.
          example: false
        isOtherSide:
          type: boolean
          description: Boolean flag indicating if role belongs to an 'OtherSide'.
          example: false
      additionalProperties: false
    Relationship:
      type: object
      properties:
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        id:
          type: string
          description: Unique identifier of the relationship.
          nullable: true
          example: 009f778f-83df-454a-b344-768a862a7e55
        name:
          type: string
          description: Name of the relationship.
          nullable: true
          example: Solicitor
        contact:
          allOf:
            - $ref: '#/components/schemas/Link'
          description: Hypermedia link of the associated contact.
          nullable: true
        representatives:
          type: array
          items:
            $ref: '#/components/schemas/Link'
          description: List of hypermedia links of the associated representatives.
          nullable: true
      additionalProperties: false
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````